• In diretta da GamesVillage.it
    • News
    • -
    • In Evidenza
    • -
    • Recensioni
    • -
    • RetroGaming
    • -
    • Anteprime
    • -
    • Video
    • -
    • Cinema

Visualizzazione risultati da 1 a 8 di 8

Discussione: Subito problemi

Cambio titolo
  1. #1
    Utente
    Registrato il
    09-04
    Messaggi
    16

    Infelice Subito problemi

    ciao, stufo dei continui errori, virus, e insicurezza di windows, ho fatto il grande passo verso linux !!!!

    ho installato suse personal 9.1 (recuperata in un giornale) FANTASTICA !!!!

    x dopo aver provato a smanettare con tutte le applicazioni installate, ho deciso di provare ad installare qualche applicazione ma mi compare sempre questo errore (in questo caso con evolution)
    p.s. ho provato l'installazione anche come root .....help !!!

    sotto riporto il messaggio della consolle e il config.log

    Grazie !!!


    linux:~/Desktop/pippo/evolution-1.4.6 # ./configure
    checking for a BSD-compatible install... /usr/bin/install -c
    checking whether build environment is sane... yes
    checking whether make sets $(MAKE)... no
    checking for working aclocal-1.4... missing
    checking for working autoconf... missing
    checking for working automake-1.4... missing
    checking for working autoheader... missing
    checking for working makeinfo... missing
    checking build system type... i686-pc-linux-gnu
    checking host system type... i686-pc-linux-gnu
    checking whether to enable maintainer-specific portions of Makefiles... no
    checking for gcc... no
    checking for cc... no
    checking for cc... no
    checking for cl... no
    configure: error: no acceptable C compiler found in $PATH
    See `config.log' for more details.

    This file contains any messages produced by compilers while
    running configure, to aid debugging if configure makes a mistake.
    It was created by evolution configure 1.4.6, which was
    generated by GNU Autoconf 2.57. Invocation command line was
    $ ./configure
    ## --------- ##
    ## Platform. ##
    ## --------- ##
    hostname = linux
    uname -m = i686
    uname -r = 2.6.4-52-default
    uname -s = Linux
    uname -v = #1 Wed Apr 7 02:08:30 UTC 2004
    /usr/bin/uname -p = unknown
    /bin/uname -X = unknown
    /bin/arch = i686
    /usr/bin/arch -k = unknown
    /usr/convex/getsysinfo = unknown
    hostinfo = unknown
    /bin/machine = unknown
    /usr/bin/oslevel = unknown
    /bin/universe = unknown
    PATH: /sbin
    PATH: /usr/sbin
    PATH: /usr/local/sbin
    PATH: /root/bin
    PATH: /usr/local/bin
    PATH: /usr/bin
    PATH: /usr/X11R6/bin
    PATH: /bin
    PATH: /usr/games
    PATH: /opt/gnome/bin
    PATH: /opt/kde3/bin
    PATH: /usr/lib/java/jre/bin

    ## ----------- ##
    ## Core tests. ##
    ## ----------- ##
    configure:1532: checking for a BSD-compatible install
    configure:1586: result: /usr/bin/install -c
    configure:1597: checking whether build environment is sane
    configure:1640: result: yes
    configure:1655: checking whether make sets $(MAKE)
    configure:1679: result: no
    configure:1707: checking for working aclocal-1.4
    configure:1718: result: missing
    configure:1722: checking for working autoconf
    configure:1733: result: missing
    configure:1737: checking for working automake-1.4
    configure:1748: result: missing
    configure:1752: checking for working autoheader
    configure:1763: result: missing
    configure:1767: checking for working makeinfo
    configure:1778: result: missing
    configure:1796: checking build system type
    configure:1814: result: i686-pc-linux-gnu
    configure:1822: checking host system type
    configure:1836: result: i686-pc-linux-gnu
    configure:1850: checking whether to enable maintainer-specific portions of Makefiles
    configure:1859: result: no
    configure:1920: checking for gcc
    configure:1949: result: no
    configure:2000: checking for cc
    configure:2029: result: no
    configure:2042: checking for cc
    configure:20 result: no
    configure:2141: checking for cl
    configure:2170: result: no
    configure:2184: error: no acceptable C compiler found in $PATH
    See `config.log' for more details.
    ## ---------------- ##
    ## Cache variables. ##
    ## ---------------- ##
    ac_cv_build=i686-pc-linux-gnu
    ac_cv_build_alias=i686-pc-linux-gnu
    ac_cv_env_CC_set=
    ac_cv_env_CC_value=
    ac_cv_env_CFLAGS_set=
    ac_cv_env_CFLAGS_value=
    ac_cv_env_CPPFLAGS_set=
    ac_cv_env_CPPFLAGS_value=
    ac_cv_env_CPP_set=
    ac_cv_env_CPP_value=
    ac_cv_env_LDFLAGS_set=
    ac_cv_env_LDFLAGS_value=
    ac_cv_env_build_alias_set=
    ac_cv_env_build_alias_value=
    ac_cv_env_host_alias_set=
    ac_cv_env_host_alias_value=
    ac_cv_env_target_alias_set=
    ac_cv_env_target_alias_value=
    ac_cv_host=i686-pc-linux-gnu
    ac_cv_host_alias=i686-pc-linux-gnu
    ac_cv_path_install='/usr/bin/install -c'
    ac_cv_prog_make_make_set=no
    ## ----------------- ##
    ## Output variables. ##
    ## ----------------- ##
    ACLOCAL='/root/Desktop/pippo/evolution-1.4.6/missing aclocal-1.4'
    AUTOCONF='/root/Desktop/pippo/evolution-1.4.6/missing autoconf'
    AUTOHEADER='/root/Desktop/pippo/evolution-1.4.6/missing autoheader'
    AUTOMAKE='/root/Desktop/pippo/evolution-1.4.6/missing automake-1.4'
    BASE_VERSION=''
    CAMEL_CFLAGS=''
    CAMEL_LIBS=''
    CAMEL_LOCK_HELPER_GROUP=''
    CAMEL_LOCK_HELPER_USER=''
    CATALOGS=''
    CATOBJEXT=''
    CC=''
    CFLAGS=''
    CPP=''
    CPPFLAGS=''
    DATADIRNAME=''
    DB3_CFLAGS=''
    DB3_LDADD=''
    DEFAULT_BINARY_FALSE=''
    DEFAULT_BINARY_TRUE=''
    DEFS=''
    DTAPPINTEGRATE=''
    ECHO='echo'
    ECHO_C=''
    ECHO_N='-n'
    ECHO_T=''
    EGREP=''
    ENABLE_GTK_DOC_FALSE=''
    ENABLE_GTK_DOC_TRUE=''
    ENABLE_IPv6_FALSE=''
    ENABLE_IPv6_TRUE=''
    ENABLE_LDAP_FALSE=''
    ENABLE_LDAP_TRUE=''
    ENABLE_NNTP_FALSE=''
    ENABLE_NNTP_TRUE=''
    ENABLE_PILOT_CONDUITS_FALSE=''
    ENABLE_PILOT_CONDUITS_TRUE=''
    ENABLE_PURIFY_FALSE=''
    ENABLE_PURIFY_TRUE=''
    EVOLUTION_ADDRESSBOOK_CFLAGS=''
    EVOLUTION_ADDRESSBOOK_CONDUIT_CFLAGS=''
    EVOLUTION_ADDRESSBOOK_CONDUIT_LIBS=''
    EVOLUTION_ADDRESSBOOK_LIBS=''
    EVOLUTION_CALENDAR_CFLAGS=''
    EVOLUTION_CALENDAR_CONDUIT_CFLAGS=''
    EVOLUTION_CALENDAR_CONDUIT_LIBS=''
    EVOLUTION_CALENDAR_LIBS=''
    EVOLUTION_CFLAGS=''
    EVOLUTION_DIR=''
    EVOLUTION_EXECUTIVE_SUMMARY_CFLAGS=''
    EVOLUTION_EXECUTIVE_SUMMARY_LIBS=''
    EVOLUTION_LIBS=''
    EVOLUTION_MAIL_CFLAGS=''
    EVOLUTION_MAIL_LIBS=''
    EXEEXT=''
    E_NAME_CFLAGS=''
    E_NAME_LIBS=''
    E_UTIL_CFLAGS=''
    E_UTIL_LIBS=''
    GAL_REQUIRED=''
    GCONFTOOL=''
    GCONF_SCHEMAS_INSTALL_FALSE=''
    GCONF_SCHEMAS_INSTALL_TRUE=''
    GCONF_SCHEMA_CONFIG_SOURCE=''
    GCONF_SCHEMA_FILE_DIR=''
    GETTEXT_PACKAGE=''
    GLIB_CFLAGS=''
    GLIB_GENMARSHAL=''
    GLIB_LIBS=''
    GLIB_MKENUMS=''
    GMOFILES=''
    GMSGFMT=''
    GNOME_FULL_CFLAGS=''
    GNOME_FULL_LIBS=''
    GNOME_PILOT_CFLAGS=''
    GNOME_PILOT_LIBS=''
    GOBJECT_QUERY=''
    GTKDOC=''
    GTKHTML_CFLAGS=''
    GTKHTML_DATADIR=''
    GTKHTML_LIBS=''
    GTKHTML_REQUIRED=''
    HAVE_DTAPPINTEGRATE_FALSE=''
    HAVE_DTAPPINTEGRATE_TRUE=''
    HAVE_JW=''
    HAVE_JW_FALSE=''
    HAVE_JW_TRUE=''
    HAVE_KDE_APPLNK_FALSE=''
    HAVE_KDE_APPLNK_TRUE=''
    HTML_DIR=''
    IDL_INCLUDES=''
    IMPORTERS_CFLAGS=''
    IMPORTERS_LIBS=''
    INSTALL_DATA='${INSTALL} -m 644'
    INSTALL_PROGRAM='${INSTALL}'
    INSTALL_SCRIPT='${INSTALL}'
    INSTOBJEXT=''
    INTLLIBS=''
    INTLTOOL_CAVES_RULE=''
    INTLTOOL_DESKTOP_RULE=''
    INTLTOOL_DIRECTORY_RULE=''
    INTLTOOL_EXTRACT=''
    INTLTOOL_KBD_RULE=''
    INTLTOOL_KEYS_RULE=''
    INTLTOOL_MERGE=''
    INTLTOOL_OAF_RULE=''
    INTLTOOL_PERL=''
    INTLTOOL_PONG_RULE=''
    INTLTOOL_PROP_RULE=''
    INTLTOOL_SCHEMAS_RULE=''
    INTLTOOL_SERVER_RULE=''
    INTLTOOL_SHEET_RULE=''
    INTLTOOL_SOUNDLIST_RULE=''
    INTLTOOL_THEME_RULE=''
    INTLTOOL_UI_RULE=''
    INTLTOOL_UPDATE=''
    INTLTOOL_XAM_RULE=''
    INTLTOOL_XML_RULE=''
    JW=''
    KDE_APPLNK_DIR=''
    KRB4_CFLAGS=''
    KRB4_LDFLAGS=''
    KRB5_CFLAGS=''
    KRB5_LDFLAGS=''
    LDAP_CFLAGS=''
    LDAP_LIBS=''
    LDFLAGS=''
    LEX=''
    LEXLIB=''
    LEX_OUTPUT_ROOT=''
    LIBFILTER_CFLAGS=''
    LIBFILTER_LIBS=''
    LIBOBJS=''
    LIBS=''
    LIBTOOL=''
    LN_S=''
    LTLIBOBJS=''
    MAINT='#'
    MAINTAINER_MODE_FALSE=''
    MAINTAINER_MODE_TRUE='#'
    MAKEINFO='/root/Desktop/pippo/evolution-1.4.6/missing makeinfo'
    MANUAL_NSPR_CFLAGS=''
    MANUAL_NSPR_LIBS=''
    MANUAL_NSS_CFLAGS=''
    MANUAL_NSS_LIBS=''
    MKINSTALLDIRS=''
    MSGFMT=''
    NSS_CFLAGS=''
    NSS_LIBS=''
    OBJEXT=''
    OPENSSL_CFLAGS=''
    OPENSSL_LDFLAGS=''
    ORBIT_CFLAGS=''
    ORBIT_CONFIG=''
    ORBIT_IDL=''
    ORBIT_LIBS=''
    PACKAGE='evolution'
    PACKAGE_BUGREPORT='http://bugzilla.ximian.com/enter_bug.cgi?product=Evolution'
    PACKAGE_NAME='evolution'
    PACKAGE_STRING='evolution 1.4.6'
    PACKAGE_TARNAME='evolution'
    PACKAGE_VERSION='1.4.6'
    PATH_SEPARATOR=':'
    PKG_CONFIG=''
    POFILES=''
    POSUB=''
    PO_IN_DATADIR_FALSE=''
    PO_IN_DATADIR_TRUE=''
    PTHREAD_LIB=''
    PURIFY=''
    RANLIB=''
    SENDMAIL=''
    SET_MAKE='MAKE=make'
    SHELL='/bin/sh'
    SHELL_CFLAGS=''
    SHELL_LIBS=''
    STRIP=''
    THREADS_CFLAGS=''
    THREADS_LIBS=''
    USE_NLS=''
    VERSION='1.4.6'
    WARN_CFLAGS=''
    WOMBAT_CFLAGS=''
    WOMBAT_LIBS=''
    XGETTEXT=''
    YACC=''
    ac_ct_CC=''
    ac_ct_RANLIB=''
    ac_ct_STRIP=''
    bindir='${exec_prefix}/bin'
    build='i686-pc-linux-gnu'
    build_alias=''
    build_cpu='i686'
    build_os='linux-gnu'
    build_vendor='pc'
    buttonsdir=''
    camel_providerdir=''
    componentdir=''
    datadir='${prefix}/share'
    etspecdir=''
    evolutionuidir=''
    exec_prefix='NONE'
    gladedir=''
    host='i686-pc-linux-gnu'
    host_alias=''
    host_cpu='i686'
    host_os='linux-gnu'
    host_vendor='pc'
    idldir=''
    imagesdir=''
    includedir='${prefix}/include'
    infodir='${prefix}/info'
    libdir='${exec_prefix}/lib'
    libexecdir='${exec_prefix}/libexec'
    localedir=''
    localstatedir='${prefix}/var'
    mandir='${prefix}/man'
    oldincludedir='/usr/include'
    prefix='NONE'
    privdatadir=''
    privincludedir=''
    privlibdir=''
    privlibexecdir=''
    program_transform_name='s,x,x,'
    sbindir='${exec_prefix}/sbin'
    serverdir=''
    sharedstatedir='${prefix}/com'
    soundsdir=''
    subdirs=''
    sysconfdir='${prefix}/etc'
    target_alias=''
    viewsdir=''
    ## ----------- ##
    ## confdefs.h. ##
    ## ----------- ##
    #define PACKAGE "evolution"
    #define PACKAGE_BUGREPORT "http://bugzilla.ximian.com/enter_bug...duct=Evolution"
    #define PACKAGE_NAME "evolution"
    #define PACKAGE_STRING "evolution 1.4.6"
    #define PACKAGE_TARNAME "evolution"
    #define PACKAGE_VERSION "1.4.6"
    #define VERSION "1.4.6"
    #define VERSION_COMMENT ""
    configure: exit 1

  2. #2
    Utente L'avatar di Phoenix
    Registrato il
    10-02
    Localit
    Midwich Street
    Messaggi
    6.699
    Prima di installare altri programmi (da sorgenti) devi installare gcc.
    Ma usa gli rpm o meglio ancora apt, anzich installare da sorgenti...


    He who is not bold enough to be stared at from across the abyss
    is not bold enough to stare into it himself.

  3. #3
    Utente
    Registrato il
    09-04
    Messaggi
    16
    grazie per la veloce risposta !!!!

    gli rpm funzionano alla grande, purtroppo nn trovo rpm di tutti i software !!!
    adesso cerco subito gcc !!!

  4. #4
    Utente L'avatar di Skyflash
    Registrato il
    12-02
    Localit
    127.0.0.1
    Messaggi
    3.672
    Citazione Incudine
    grazie per la veloce risposta !!!!

    gli rpm funzionano alla grande, purtroppo nn trovo rpm di tutti i software !!!
    adesso cerco subito gcc !!!
    Non "cercare" alla rinfusa. Controlla prima in YAST2, nella sezione relativa ai pacchetti software, se e' disponibile nella lista.
    E gia' che ci sei controlla pure gli aggiornamenti di Sistema.

    Ogni distro ha i suoi pacchetti "preferenziali". Per quanto SuSe, Fedora, Redhat, Mandrake ed altre distro "minori" si basino tutte su rpm, non e' per nulla detto che un rpm "generico" vada bene per la tua SuSe. Tanto peggio se l'rpm e' per, ad esempio, Redhat.

    Affidati SEMPRE ai pacchettizzatori di default della distribuzione. Nel tuo caso, o scarichi rpm specifici per SuSe 9.x, o ti conviene far scaricare tutto a YAST2. Che ti risolve pure le dipendenze fra i diversi pacchetti.
    Lo Skyblog e' su www.skyflash.it
    Wiitiful Sky su XBox Live
    WiitifulSky sul PSN
    Il mio codice Wii: 2634 4285 3158 4638

  5. #5
    Utente
    Registrato il
    09-04
    Messaggi
    16
    8( ho verificato, the gcc preprocessor - package cpp - v.3.3.3-41 installato !! ma mi da sempre lo stesso errore.


    gli rpm per suse funzionano alla grande !!!


    grazie ancora per la collaborazione !!!

    una birra per tutti !!!!

  6. #6
    Utente L'avatar di devilheart
    Registrato il
    01-03
    Messaggi
    28.311
    vai nella console e scrivi
    gcc -v
    e posta l'output

  7. #7
    Utente
    Registrato il
    09-04
    Messaggi
    16
    Citazione devilheart
    vai nella console e scrivi
    gcc -v
    e posta l'output
    [email protected]:~> gcc -v
    bash: gcc: command not found
    [email protected]:~>

    che vuol dire ???? tra i pacchetti installati lo trovo !!

  8. #8
    Utente L'avatar di Skyflash
    Registrato il
    12-02
    Localit
    127.0.0.1
    Messaggi
    3.672
    Citazione Incudine
    [email protected]:~> gcc -v
    bash: gcc: command not found
    [email protected]:~>

    che vuol dire ???? tra i pacchetti installati lo trovo !!
    Questo significa che gcc non e' installato. Sei sicuro di aver installato proprio tutto il gcc e non solo alcune parti?

    Hai controllato da YAST2, se c'e' gcc disponibile per il download?
    Lo Skyblog e' su www.skyflash.it
    Wiitiful Sky su XBox Live
    WiitifulSky sul PSN
    Il mio codice Wii: 2634 4285 3158 4638

Regole di Scrittura

  • Tu non puoi inviare nuove discussioni
  • Tu non puoi inviare risposte
  • Tu non puoi inviare allegati
  • Tu non puoi modificare i tuoi messaggi
  •